// This file is currently unlocked (change this line if you lock the file)
//
// Source code version is 2.5.1
//                        (increment this number EVERY time you make a change)
//
// History: (add to this EVERY time you make a change) 
// (insert details of your change immediately below this line)
//
// 2.5.1        15 Apr 1997     Jill Baker
//      imports changed to new namespace
//
// 2.5.0        24 Mar 1997     Original Author not stated
//      Original version
//
// If this file is unlocked, or locked by someone other than you, then you
// may download this file for incorporation into your build, however any
// changes you make to your copy of this file will be considered volatile,
// and will not be incorporated into the master build which is maintained
// at this web site.
//
// If you wish to make permanent changes to this file, you must wait until
// it becomes unlocked (if it is not unlocked already), and then lock it
// yourself. Whenever the file is locked by you, you may upload new master
// versions to the master site. Make sure you update the history information
// above. When your changes are complete, you should relinquish the lock to
// make it available for other developers.

/*
 * Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)
 * All rights reserved.
 *
 */
 
/**
 *
 * <hr>
 * <P>
 * <bold>Copyright</bold> &#169 1995, 1996, 1997
 * <a href="http://www.systemics.com/">Systemics Ltd</a>
 * on behalf of the
 * <a href="http://www.systemics.com/docs/cryptix/">
 * Cryptix Development Team</a>.
 * All rights reserved.
 */

package cryptix.pgp;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;
import cryptix.math.RandomStream;
import cryptix.security.rsa.PublicKey;

import cryptix.util.Streamable;

public class Message extends Streamable
{
	private PublicKeyEncrypted messageHdr;
	private ConvEncryptedData messageData;
	
	public Message( byte data[], PublicKey publickey, byte key[], RandomStream rand )
	throws IOException
	{
		messageHdr = new PublicKeyEncrypted( publickey, key, rand );
		messageData = new ConvEncryptedData( data, key, rand );
	}

	public byte[]
	data( byte key[] )
	throws IOException, DecryptException
	{
		return messageData.data( key );
	}
	
	public void 
	read( DataInput in )
	throws IOException
	{
		throw new IOException( "This is an outgoing-only data type." );
	}
	
	public void
	write( DataOutput out )
	throws IOException
	{
		PacketFactory.write( out, messageHdr );
		PacketFactory.write( out, messageData );
	}
}
