// This file is currently unlocked (change this line if you lock the file)
//
// Source code version is 2.5.1
//                        (increment this number EVERY time you make a change)
//
// History: (add to this EVERY time you make a change) 
// (insert details of your change immediately below this line)
//
// 2.5.1        15 Apr 1997     Jill Baker
//      Moved this file here from old namespace.
//
// 2.5.0        24 Mar 1997     Systemics
//      Original version
//
/*      
 * Copyright (c) 1995, 1996, 1997 Systemics Ltd
 * on behalf of the Cryptix Development Team.  All rights reserved.
 */
 
package cryptix.security;

/**
 * An output stream that hashes the data sent to it using
 * the MD5 hashing algorithm.
 *
 * <P>
 * <b>References</b>
 *
 * <P>
 * <b>Copyright</b> &#169 1995, 1996, 1997
 * <a href="http://www.systemics.com/">Systemics Ltd</a>
 * on behalf of the
 * <a href="http://www.systemics.com/docs/cryptix/">
 * Cryptix Development Team</a>.
 * All rights reserved.
 *
 * <P>
 * @author Systemics Ltd
 * @see MessageDigestOutputStream
 */
public final class MD5OutputStream extends MessageDigestOutputStream
{
        /**
         * Create a new digest output stream that uses MD5.
         */
        public MD5OutputStream()
        {
                super( new MD5() );
        }
}

