// This file is currently unlocked (change this line if you lock the file)
//
// Source code version is 2.3.0
//                        (increment this number EVERY time you make a change)
//
// History: (add to this EVERY time you make a change) 
// (insert details of your change immediately below this line)
//
// 2.3.0        11 Jun 1997     Jill Baker
//      Original Version
//
// If this file is unlocked, or locked by someone other than you, then you
// may download this file for incorporation into your build, however any
// changes you make to your copy of this file will be considered volatile,
// and will not be incorporated into the master build which is maintained
// at this web site.
//
// If you wish to make permanent changes to this file, you must wait until
// it becomes unlocked (if it is not unlocked already), and then lock it
// yourself. Whenever the file is locked by you, you may upload new master
// versions to the master site. Make sure you update the history information
// above. When your changes are complete, you should relinquish the lock to
// make it available for other developers.

package cryptix.util;

public final class SensitiveByteArray extends ByteArray
{
    private boolean burnt = false;

    public SensitiveByteArray( byte[] data, boolean copy )
    {
        super( data, copy );
    }

    public byte[] getData()
    {
        return data;
    }

    public boolean isBurnt()
    {
        return burnt;
    }

    public void burn()
    {
        for (int i=0; i<data.length; i++) data[i] = 0;
        burnt = true;
    }

    public void finalize()
    {
        burn();
    }
}

