// This file is currently unlocked (change this line if you lock the file)
//
// Source code version is 2.5.2
//                        (increment this number EVERY time you make a change)
//
// History: (add to this EVERY time you make a change) 
// (insert details of your change immediately below this line)
//
// 2.5.2        13 Jun 1997     Jill Baker
//      replaced deprecated constructor String(byte[],0)
//      with non-deprecated factory method LegacyString.toString(byte[]).
//
// 2.5.1        10 Apr 1997     Jill Baker
//      added methods getType() and getDefaultLengthSpecifier()
//
// 2.5.0        24 Mar 1997     Original Author not stated
//      Original version
//
// If this file is unlocked, or locked by someone other than you, then you
// may download this file for incorporation into your build, however any
// changes you make to your copy of this file will be considered volatile,
// and will not be incorporated into the master build which is maintained
// at this web site.
//
// If you wish to make permanent changes to this file, you must wait until
// it becomes unlocked (if it is not unlocked already), and then lock it
// yourself. Whenever the file is locked by you, you may upload new master
// versions to the master site. Make sure you update the history information
// above. When your changes are complete, you should relinquish the lock to
// make it available for other developers.

/*
 * Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)
 * All rights reserved.
 *
 */

package cryptix.pgp;

import cryptix.mime.LegacyString;
import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public final class UserId extends Packet
{
	protected String data;

	public UserId( String data_ )
	{
		data = data_;
	}

	public UserId( DataInput in, int length )
		throws IOException
	{
		super( in, length );
	}

	public void 
	read( DataInput in, int length )
		throws IOException
	{
		if (length > 0 )
		{
			byte buf[] = new byte[length];
			in.readFully( buf );
			data = LegacyString.toString( buf );
		}
		else 
			data = "";
	}

	public int
	write( DataOutput out )
		throws IOException
	{
		out.writeBytes( data );
		return data.length();
	}
	
	public String
	toString()
	{
		return data;
	}

    public int getType()
    {
        return Packet.USER_ID;
    }

    public int getDefaultLengthSpecifier()
    {
        return 1;
    }

}
