// This file is currently unlocked (change this line if you lock the file)
//
// Source code version is 2.3.0
//                        (increment this number EVERY time you make a change)
//
// History: (add to this EVERY time you make a change) 
// (insert details of your change immediately below this line)
//
// 2.3.0        16 May 1997     Jill Baker
//      Original Version
//
// If this file is unlocked, or locked by someone other than you, then you
// may download this file for incorporation into your build, however any
// changes you make to your copy of this file will be considered volatile,
// and will not be incorporated into the master build which is maintained
// at this web site.
//
// If you wish to make permanent changes to this file, you must wait until
// it becomes unlocked (if it is not unlocked already), and then lock it
// yourself. Whenever the file is locked by you, you may upload new master
// versions to the master site. Make sure you update the history information
// above. When your changes are complete, you should relinquish the lock to
// make it available for other developers.

/*
 * Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)
 * All rights reserved.
 *
 * This library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 * as long as the conditions within the COPYRIGHT file are adhered to.
 *
 */

package cryptix.pgp.engine;

/**
 * @author Jill Baker
 */
public interface SignatureConstants
{
    // Results of key check
    //
    // Notice that we can return *far* more information that original-PGP
    // which is only capable of a simple pass or fail.

    public static final int GOOD_SIG_ALWAYS_TRUST    = 0;
    public static final int GOOD_SIG_SOMETIMES_TRUST = 1;
    public static final int GOOD_SIG_UNKNOWN_TRUST   = 2;
    public static final int KEY_NOT_AVAILABLE        = 3;
    public static final int GOOD_SIG_NEVER_TRUST     = 4;
    public static final int BAD_SIG_NEVER_TRUST      = 5;
    public static final int BAD_SIG_UNKNOWN_TRUST    = 6;
    public static final int BAD_SIG_SOMETIMES_TRUST  = 7;
    public static final int BAD_SIG_ALWAYS_TRUST     = 8;
}
