package enigma;

import java.io.*;
import java.net.*;
import cryptix.pgp.*;
//import com.sun.java.swing.*;

class KeyServer
{
	public KeyServer() {}
	
	public static void main( String args[] )
	throws IOException
	{
		//public static JProgressBar progressBar = new JProgressBar;
		ServerSocket server = null;
        	Socket clientSocket = null;
        
       	DataInputStream clientIn = null;
        	PrintStream clientOut = null;
        
        	PublicKeyRing keyRing = new PublicKeyRing( "pubring.pgp" );
        	String keyName = null;
        	KeyRingEntry entry = null;
 
                try
                {
                        // Initialise socket
                        // Create server object
        		server = new ServerSocket( 11371 );
        		
        	}

                catch ( IOException ioe )
                {
                        //if ( verbosity >= NORMAL )
                        {
                                System.err.println( "Couldn't create a TCP socket on port " + 11371 );
                                //if ( myPort < 1025 ) System.err.println( "You need system administrator privileges to use a port lower than 1025." );
                                //else System.err.println( "Is another program using it?" );
                                //System.err.println( "Try changing the line MyPort = " + myPort + " in the [POP3] section of your " + prefs.name() + " file." );
                        }

                        System.exit( 1 );
                }
                
                clientSocket = server.accept();
                clientIn = new DataInputStream( clientSocket.getInputStream() );
                clientOut = new PrintStream( clientSocket.getOutputStream(), true );
                
                keyName = clientIn.readLine();
                
		    keyName = keyName.substring(keyName.indexOf("&search=") + 8);
                entry = keyRing.getKeyRingEntry( keyName );
                if ( entry != null ) clientOut.println( entry.toString() );
                else clientOut.println( "Key not found for " + keyName );
      }
}
